### Method

# ECal Component remove_alarm

since: 3.34

#### Declaration [src]

    void
    e_cal_component_remove_alarm (
      ECalComponent* comp,
      const gchar* auid
    )

#### Description [src]

Removes an alarm subcomponent from a calendar component. If the alarm that corresponds to the specified `auid` had been fetched with e_cal_component_get_alarm(), then those alarm structures will be invalid; you should get rid of them with `e_cal_component_alarm_free()` before using this function.

Available since: 3.34

#### Parameters

`auid`

  Type: `const gchar*`

  UID of the alarm to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.